Package org.apache.uima.pear.tools

# Class InstallationDescriptor.ComponentInfo

java.lang.Object
org.apache.uima.pear.tools.InstallationDescriptor.ComponentInfo

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  InstallationDescriptor

public static class InstallationDescriptor.ComponentInfo extends Object implements Serializable
The `ComponentInfo` class defines UIMA component attributes.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `casConsumerDescFilePath`
  `String`
  `casInitializerDescFilePath`
  `String`
  `collIteratorDescFilePath`
  `String`
  `deploymentType`
  `String`
  `descFilePath`
  `String`
  `name`
  `Hashtable<String,Properties>`
  `networkParams`
  `Properties`
  `props`
  `String`
  `rootDirPath`
  `InstallationDescriptor.ServiceInfo`
  `serviceInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentInfo(String id)`
  Constructor that takes component ID as an argument.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public String name

  - ### descFilePath

    public String descFilePath

  - ### rootDirPath

    public String rootDirPath

  - ### deploymentType

    public String deploymentType

  - ### serviceInfo

    public transient InstallationDescriptor.ServiceInfo serviceInfo

  - ### networkParams

    public Hashtable<String,Properties> networkParams

  - ### collIteratorDescFilePath

    public String collIteratorDescFilePath

  - ### casInitializerDescFilePath

    public String casInitializerDescFilePath

  - ### casConsumerDescFilePath

    public String casConsumerDescFilePath

  - ### props

    public Properties props

- ## Constructor Details

  - ### ComponentInfo

    public ComponentInfo(String id)
    Constructor that takes component ID as an argument.
    Parameters:
      `id` - The given component ID.

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      The specified component ID.